/*
 * KEnemy.h
 *
 *  Created on: Oct 6, 2008
 *      Author: Santi
 */

#ifndef KENEMY_H_
#define KENEMY_H_

#include "KObject.h"

class KEnemy : public KObject {
public:
	KEnemy(int x, int y, int sfx_volume);
	virtual ~KEnemy();

    virtual bool is_a(Symbol *c);
    virtual bool is_a(char *c);
	
    virtual bool cycle(List<class VirtualController> *vcl, class Knightmare *game, class GLTManager *GLTM, SFXManager *SFXM);

	virtual void hit(class Weapon *weapon,int damage);
protected:
	int m_health;
};

#endif /* KENEMY_H_ */
